## slic3r-prusa 1.31.4

=== debian/changelog ===
slic3r-prusa (1.31.4-1) unstable; urgency=medium

  * Initial Debianization (Closes: #844222)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 13 Nov 2016 21:09:27 +0800
