=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export SLIC3R_NO_AUTO=yes

build_args = \
	--install_path arch=/usr/lib/slic3r-prusa/

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Dxs -- $(build_args)

override_dh_auto_build:
	xvfb-run -a dh_auto_build -Dxs --parallel -- $(build_args)

override_dh_auto_clean:
	dh_auto_clean -Dxs
	rm -rf xs/Build xs/MYMETA.json xs/MYMETA.yml xs/_build/ xs/blib/ xs/buildtmp/
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	prove -v -Ilib -Ixs/blib/arch -Ixs/blib/lib t xs/t
endif

override_dh_auto_install:
	dh_auto_install -Dxs -- $(build_args)

	# Install Slic3r Perl module
	mkdir -p $(CURDIR)/debian/slic3r-prusa/usr/lib/slic3r-prusa
	cp -r lib/* $(CURDIR)/debian/slic3r-prusa/usr/lib/slic3r-prusa

	# Install Slic3r in PATH
	mkdir -p $(CURDIR)/debian/slic3r-prusa/usr/bin
	cp slic3r.pl $(CURDIR)/debian/slic3r-prusa/usr/bin/slic3r-prusa

	# Install Slic3r resources in /usr/share/slic3r-prusa
	mkdir -p $(CURDIR)/debian/slic3r-prusa/usr/share
	cp -r var $(CURDIR)/debian/slic3r-prusa/usr/share/slic3r-prusa
	chmod 644 $(CURDIR)/debian/slic3r-prusa/usr/share/slic3r-prusa/*.png

	# Install zsh completion
	mkdir -p $(CURDIR)/debian/slic3r-prusa/usr/share/zsh/vendor-completions
	cp utils/zsh/functions/_slic3r $(CURDIR)/debian/slic3r-prusa/usr/share/zsh/vendor-completions/_slic3r-prusa
