## slic3r-prusa 1.37.0+dfsg

=== debian/changelog ===
slic3r-prusa (1.37.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Loadable library and perl binary mismatch":
    add override_dh_perl in debian/rules to make dh_perl search for perl
    modules in the private directory as well.
    (Closes: #872275)

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 Aug 2017 19:17:28 +0200

slic3r-prusa (1.37.0+dfsg-1) unstable; urgency=medium

  * [3561f7e] New upstream version 1.37.0+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 06 Aug 2017 01:04:13 +0800

slic3r-prusa (1.36.2+dfsg-1) unstable; urgency=medium

  * [db314bf] New upstream version 1.36.2+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 31 Jul 2017 21:26:36 +0800

slic3r-prusa (1.36.0+dfsg-1) unstable; urgency=medium

  * [35f30b1] New upstream version 1.36.0+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Jul 2017 01:46:22 +0800

slic3r-prusa (1.35.5+dfsg-1) experimental; urgency=medium

  * [e4a7131] New upstream version 1.35.5+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 18 Jun 2017 19:38:51 +0800

slic3r-prusa (1.35.3+dfsg-2) experimental; urgency=medium

  * [76eb163] New upstream version 1.35.3+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 14 Jun 2017 23:11:47 +0800

slic3r-prusa (1.35.2+dfsg-1) experimental; urgency=medium

  * [c5c442c] New upstream version 1.35.2+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 09 Jun 2017 01:58:31 +0800

slic3r-prusa (1.35.1+dfsg-1) experimental; urgency=medium

  * [83eeeb5] New upstream version 1.35.1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 04 Jun 2017 02:04:02 +0800

slic3r-prusa (1.35.0+dfsg-1) experimental; urgency=medium

  * [f28744f] New upstream version 1.35.0+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 23 May 2017 00:42:11 +0800

slic3r-prusa (1.34.1+dfsg-1) experimental; urgency=medium

  * [56183a6] Imported Upstream version 1.34.1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 07 Apr 2017 01:07:46 +0800

slic3r-prusa (1.34.0+dfsg-1) experimental; urgency=medium

  * [0cfd53e] Build-dep on libtbb-dev
  * [43d066f] Delete glew and expat
  * [b7d8afa] Rename Use-system-GLEW.patch.
    We need to unbundle a couple of other libs.
  * [5175bc5] Fix expat include
  * [88a0b44] Link against libexpat
  * [be8218c] Exclude more bundled libraries
  * [3a32f7f] Imported Upstream version 1.34.0+dfsg
  * [a157bd0] Imported Upstream version 1.34.0
  * [d9d46a9] Refresh patches
  * [0220070] Build-dep on libeigen3-dev

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 06 Apr 2017 01:16:59 +0800

slic3r-prusa (1.33.8-1) experimental; urgency=medium

  * [0c4401b] Imported Upstream version 1.33.8

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 22 Feb 2017 22:56:38 +0800

slic3r-prusa (1.33.7-1) experimental; urgency=medium

  * [4d19e89] Imported Upstream version 1.33.7

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 21 Feb 2017 08:59:23 +0800

slic3r-prusa (1.33.5-1) experimental; urgency=medium

  * [7fba4b2] Imported Upstream version 1.33.5

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 18 Feb 2017 01:19:14 +0800

slic3r-prusa (1.33.3-1) experimental; urgency=medium

  * [4bfc62b] Imported Upstream version 1.33.3

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 11 Feb 2017 17:32:12 +0800

slic3r-prusa (1.33.2-1) experimental; urgency=medium

  * [f895ab7] Imported Upstream version 1.33.2

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 13 Jan 2017 02:20:05 +0800
