=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends: debhelper (>= 9.20120312),
                help2man,
                libboost-all-dev,
+               libtbb-dev,
                libglew-dev,
+               libeigen3-dev,
                libboost-geometry-utils-perl,
                libclass-xsaccessor-perl,
                libencode-locale-perl,
