=== debian/changelog ===
slic3r-prusa (1.39.1+dfsg-3) unstable; urgency=medium

  * [0f31b95] Reduce debug info to avoid running out of address space on mips.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #895214)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 10 Apr 2018 15:01:30 +0800

slic3r-prusa (1.39.1+dfsg-2) unstable; urgency=medium

  * [3fb5ec7] Fix format-security FTBFS (Closes: #892959)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 19 Mar 2018 12:17:00 +0800

slic3r-prusa (1.39.1+dfsg-1) unstable; urgency=medium

  * [f77b280] debian/watch: Fix filenamemangle
  * [91a4788] New upstream version 1.39.1+dfsg
  * [c8af33b] Refresh patches
  * [136dd9c] Fix resources installation
  * [b14e7ae] Update icon symlinks for new icon path

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 12 Mar 2018 03:47:30 +0800

slic3r-prusa (1.39.0+dfsg-1) unstable; urgency=medium

  * [280aee8] New upstream version 1.39.0+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 23 Jan 2018 01:43:03 +0800

slic3r-prusa (1.38.0+dfsg-1) unstable; urgency=medium

  * [df02f1c] New upstream version 1.38.0+dfsg
  * [7eec4d5] Drop upstreamed admesh big-endian patch
  * [ac81797] Bump Standards-Version to 4.1.1

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 03 Nov 2017 23:02:51 +0800

slic3r-prusa (1.37.1+dfsg2-3) unstable; urgency=medium

  * [e6013ee] Run ctest with the verbose flag.
    This should fix the FTBFS on hppa caused by the lack of output during tests.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 04 Oct 2017 14:39:48 +0800

slic3r-prusa (1.37.1+dfsg2-2) unstable; urgency=medium

  * [7337428] Ack 1.37.0+dfsg-1.1 NMU:
    - Fix "Loadable library and perl binary mismatch":
      add override_dh_perl in debian/rules to make dh_perl search for perl
      modules in the private directory as well. (Closes: #872275)
  * [b962ed5] Import patch that fixes big-endian support in admesh
    (Closes: #869638)
  * [96ddc54] Bump Standards-Version
  * [8fd9f76] Update StartupWMClass.
  * [d077f2a] Update slic3r-prusa's desktop to open files

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 02 Oct 2017 02:24:50 +0800

slic3r-prusa (1.37.1+dfsg2-1) unstable; urgency=medium

  * [1528472] New upstream version 1.37.1+dfsg2
    - Respin the tarball -- looks like the 1.37.1 tarball first downloaded was
      actually 1.34.1.
  * [6a3ab05] Refresh patches
  * [53ce34f] Use cmake build system
  * [facbb65] Set BUILD_TESTING=1
  * [595f15c] Set CMAKE_BUILD_TYPE=Release
  * [eb42e7c] Build-dep on local::lib
  * [eafd98e] Fix up paths.
    Things are now in slic3r-prusa3d instead of slic3r-prusa.
  * [82955ab] Fix up paths in patches
  * [0c723ea] Update manpage
  * [2be9304] Fix line breaking issues in manpage

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 27 Sep 2017 23:54:15 +0800

slic3r-prusa (1.37.1+dfsg-1) unstable; urgency=medium

  * [21d7565] New upstream version 1.37.1+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 20 Sep 2017 22:43:28 +0800
