=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9.20120312),
+               cmake,
                help2man,
                libboost-all-dev,
                libtbb-dev,
@@ -16,6 +17,7 @@
                libextutils-typemaps-default-perl,
                perl,
                libio-stringy-perl,
+               liblocal-lib-perl,
                libmath-convexhull-monotonechain-perl,
                libmath-geometry-voronoi-perl,
                libmath-planepath-perl,
@@ -30,7 +32,7 @@
                xfonts-base,
                xvfb,
                xauth
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://github.com/prusa3d/slic3r
 Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/slic3r-prusa.git
 Vcs-Browser: https://anonscm.debian.org/git/3dprinter/packages/slic3r-prusa.git
