=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

# less debug info to avoid running out of address space
ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
	export DEB_CXXFLAGS_MAINT_APPEND += -g1
endif

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- -DBUILD_TESTING=1 -DCMAKE_BUILD_TYPE=Release

override_dh_auto_test:
	dh_auto_test -- ARGS=-V

override_dh_perl:
	dh_perl /usr/lib/slic3r-prusa3d
