## slic3r-prusa 1.39.2+dfsg

=== debian/changelog ===
slic3r-prusa (1.39.2+dfsg-1build3) disco; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 20:05:23 -0500

slic3r-prusa (1.39.2+dfsg-1build2) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 19:48:03 -0600

slic3r-prusa (1.39.2+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:50:31 +0000

slic3r-prusa (1.39.2+dfsg-1) unstable; urgency=medium

  * [7f4fb4d] New upstream version 1.39.2+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 07 May 2018 00:41:59 +0800
